## org.apache.lucene.document
Interface FieldSelector

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  LoadFirstFieldSelector, MapFieldSelector, SetBasedFieldSelector

    public interface FieldSelector

extends Serializable

Similar to a `FileFilter`, the FieldSelector allows one to make decisions about what Fields get loaded on a `Document` by `IndexReader.document(int,org.apache.lucene.document.FieldSelector)`

Method Summary
`FieldSelectorResult` `accept(String fieldName)`

Method Detail

### accept

    FieldSelectorResult accept(String fieldName)

  Parameters:
    `fieldName` - the field to accept or reject
  Returns:
    an instance of `FieldSelectorResult` if the `Field` named `fieldName` should be loaded.